<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_61a5ceb" . "347019e3" . "7116d4d2" . "907163b8" . "2" => base64_decode("bWF0Y" . "2hfYW" . "xs"), "_c61345ccedc39c1977427766275e" . "2da6" => base64_decode("aW1hZ2VfZ2FsbG" . "VyeQ=="), "perm" . "s" => base64_decode("cGVyb" . "XM="), "_df945ac2fbd" . "d1576202fb48" . "096eb43f9" => base64_decode("YWRtaW4ucGFuZWxzX2xpc3" . "Q="));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchImage implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\ImageIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_df945ac2fbdd1" . "576202fb48096e" . "b43f9"]}->GetOne($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_c61345ccedc39c197742776" . "6275e2da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["per" . "ms"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_61a5ceb3" . "47019e371" . "16d4d2907" . "163b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\ImageView();
    }
}